function sp = subset (sp, label, units)

sset = lbl2idx (sp.subsets, label);
if ~sset
   sset = length(sp.subsets) + 1;
end

if nargin > 2
   if any(units<1 | units>sp.nunits)
      error ('requested unit(s) do not exist');
   end
   sp.subsets(sset).units = unique (units);
else
   sp.subsets(sset).units = sp.inclunits;
end
sp.subsets(sset).label = label;
   