function rv = NOTsinglekey (k)
%NOTSINGLEKEY(K)
%
%Last modified: 19 Feb 06

if isa (k, 'rules')
   warning ('@rules are no longer supported; please use @keys instead');
end

rv = [];
if ~(isa (k, 'key') | isa(k, 'rules')) | k.len > 1
   rv = 'argument KEY should be a single key from a @key object';
end