function [xc yc] = midofbars (b)

%MIDOFBARS   returns the X values of the midpoint of each bar in the
%current chart

xc = [];
yc = [];
for bo = b
    x = get (get (bo, 'children'), 'xdata');
    xm = x(1,:) + diff (x(2:3, 1)) / 2;
    xc = [xc; xm];
    y = get (bo, 'ydata');
    yc = [yc; y];
end
xc = xc';
yc = yc';