function [b le] = bar (as, varargin)

if as.N > 2, error ('bar charts of @annsetup objects with more than 2 factors are not supported'); end
[mm, sd, se, gl] = descriptive(as);
b = bar (mm, varargin{:});
[g gn] = grp2idx (as.G{1});
set (gca, 'xticklabel', gn);
if as.N == 2
    [g gn] = grp2idx (as.G{2});
    le = legend (b, gn);
end

% as many gray levels as there are series
nser = size (mm, 2);
g = linspace (1, 0, nser);
for s=1:length(b)
    set (b(s), 'facecolor', [g(s) g(s) g(s)]);
end
