function retval = get (p, nth)

%BITVECT/GET
%
%Last modified: 18 Mar 05

if nargin==1
   nth = 1:p.length;
elseif any (nth > p.length) | any (nth < 1)
   error ('out of range values');
end
bitsindouble = 52;
bytes = floor ((nth - 1) / bitsindouble) + 1;
bits  = rem ((nth - 1), bitsindouble) + 1;
retval = bitget (p.vect(bytes), bits);
