function h = edgehist (x, edges)

%EDGEHIST   plots histograms based on histc
%
%Last modified: 17 Apr 03

n = histc (x, edges);
[xx, yy] = stairs (n);
ed = reshape([edges; edges], length(edges)*2, 1);
h = area (ed(2:end), yy);
set (gca, 'xlim', [edges(1) edges(end)], 'tickdir', 'out');

% the following will work with the bar command
% half = (edges(2)-edges(1))/2;
% bar (edges+half, n)
